from django.db import models
from django.conf import settings

from cms.models import CMSPlugin

class FeedPreference(models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL)
    feed = models.ForeignKey('Feed')

class SelectUserFeed(CMSPlugin):
    pass

class ShowUserFeed(CMSPlugin):
    limit = models.PositiveIntegerField(default=10)
    timeout = models.PositiveIntegerField(default=60)

class Feed(models.Model):
    name = models.CharField(max_length=32)
    url = models.URLField()

    def __unicode__(self):
        return self.name
